<%-- Knyt bnnen Bruger til brugerens session under navnet b --%>
<jsp:useBean id="b" class="kalender.Bruger" scope="session" />
 <%-- <title>kalender</title> --%>
<%-- Overfr parametre til b, der svarer til egenskaber --%>
<jsp:setProperty name="b" property="*" />

<%-- Knyt bnnen Sprogdata til brugerens session under navnet s --%>
<jsp:useBean id="s" class="kalender.Sprogdata" scope="session">
	<% // Frste gang: Knyt til Bruger-objekt og registrr sproget 
		s.setBruger( b );
		s.setLocale( request.getLocale() ); %>
</jsp:useBean>

<%-- Overfr evt. sprog-parameter til s --%>
<jsp:setProperty name="s" property="sprog" />

<html>      <%-- s.ovs() overstter teksten til det pgldende sprog --%>
<head><title><%= s.ovs("kalender") %></title></head>
<body>

[<a href='kalender.jsp?sprog=da'>dansk</a> - 
 <a href='kalender.jsp?sprog=de'>Deutsch</a> -
 <a href='kalender.jsp?sprog=eo'>Esperanto</a>]

<h1><%= s.ovs("Flleskalender_for") %> <%= b.getDatostr() %></h1>

<a href="kalender.jsp?maaned=<%= b.getMaaned()-1 %>"><%= s.ovs("forrige") %></a>
	<%= s.ovs("mned") %> -
<a href="kalender.jsp?maaned=<%= b.getMaaned()+1 %>"><%= s.ovs("nste") %></a>
	<%= s.ovs("mned") %> -

<% 
	if (b.isRediger()) { // redigering - vis en input-formular
%>
	<a href="kalender.jsp?rediger=false"><%= s.ovs("vis") %></a>
		<%= s.ovs("kalenderen") %>.<br>
	<br>
	<form action="kalender.jsp" method="post">
		<%=s.ovs("Tryk_input_type_submit_value_OK_nr_du_vil_gemme_ndringer")%>.<br>

		<% b.udskrivDagsprogram(out); %>

		<br><br>
		<%= s.ovs("_input_type_submit_value_OK_") %>
	</form>
<%
	} else {             // fremvisning
%>
	<a href="kalender.jsp?rediger=true"><%= s.ovs("redigr") %></a>
		<%= s.ovs("kalenderen") %>.<br>

	<% b.udskrivDagsprogram(out); %>
<%
	} 
%>

</body>
</html>