<%@ page import="java.util.*,java.text.*" contentType="text/html;charset=UTF-8" %>
<html>
<head><title>Sprogtest</title></head>
<body>

<p>Din netl&aelig;sers foretrukne sprog er <%=request.getLocale().getDisplayName()%>
<br>Samtlige acceptable sprog er: 
<%
	Enumeration e = request.getLocales();
	while (e.hasMoreElements()) {
		Locale l = (Locale) e.nextElement();
		out.print(l + ":"+l.getDisplayName()+"\n" );
	}
%>
</p>

<p>V&aelig;lg sprog<br>
<font size="-1">Disse er tilg&aelig;ngelige:
<%
	Locale[] lokalindstillinger = Locale.getAvailableLocales();
	for (int i=0; i<lokalindstillinger.length; i++) {
		Locale lokalindst = lokalindstillinger[i];
		out.print(" <a href='sprogtest.jsp?sprog="+lokalindst+"'>"
			+lokalindst+"</a>:"                     // sprogkode, f.eks.: da_DK
			+lokalindst.getDisplayName(lokalindst));// fuldt navn paa sproget selv
	}
%>
</font></p>

<%
	Locale sprog = request.getLocale();             // netlaeserens foretrukne sprog
	String vsprog = request.getParameter("sprog");  // har bruger valgt et andet?
	if (vsprog != null) {
		String[] s = vsprog.split("_");               // split f.eks. da_DK op
		if (s.length==1) sprog = new Locale(vsprog);        // sprog (da)
		else if (s.length==2) sprog = new Locale(s[0],s[1]);// sprog, land (da_DK)
		else sprog = new Locale(s[0],s[1],s[2]);            // sprog, land, variant
	}
%>

<h1>Ting p&aring; <%= sprog.getDisplayName(sprog) %></h1>
<pre>
<%
	double tal = 1234.5678;
	NumberFormat fmt1 = NumberFormat.getInstance(sprog);
	NumberFormat fmt2 = NumberFormat.getCurrencyInstance(sprog);
	NumberFormat fmt3 = NumberFormat.getPercentInstance(sprog);
	out.println( "Tal             : " + fmt1.format(tal) );
	out.println( "Valuta          : " + fmt2.format(tal) );
	out.println( "Procent         : " + fmt3.format(tal) );

	Date tid = new Date();
	out.println( "tid.toString()  : "+ tid );

	SimpleDateFormat brugerdefineretFormat = 
	             new SimpleDateFormat("EEEE 'den' d. MMMM '&aring;r' yyyy.", sprog);
	out.println( "SimpleDateFormat: " + brugerdefineretFormat.format(tid) );

	DateFormat klformat, datoformat, dkf;
	klformat   = DateFormat.getTimeInstance(DateFormat.MEDIUM, sprog);
	datoformat = DateFormat.getDateInstance(DateFormat.FULL, sprog);
	dkf = DateFormat.getDateTimeInstance(DateFormat.FULL, DateFormat.FULL, sprog);

	ResourceBundle res = ResourceBundle.getBundle("sprogtest.Tekster", sprog);

	out.println( res.getString("Kl_")+ klformat.format(tid) );
	out.println( res.getString("Dato_")+ datoformat.format(tid) );
	out.println( res.getString("Tid_")+ dkf.format(tid) );
%></pre>
</body>
</html>